#ifndef __MtimerMFD_H
#define __MtimerMFD_H

#include "Connector.h"
#include "MFDConnector.h"
#include <orbitersdk.h>

class MtimerMFD: public MFD {
public:
	MtimerMFD (DWORD w, DWORD h, VESSEL *vessel);
	~MtimerMFD ();
	bool ConsumeKeyBuffered (DWORD key);
	bool ConsumeButton (int bt, int event);
	char *ButtonLabel (int bt);
	int  ButtonMenu (const MFDBUTTONMENU **menu) const;
	void Update (HDC hDC);
	static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);
	bool SetMET (char *rstr);
	bool SetTA (char *rstr);
	
protected:
	DWORD width;
	DWORD height;
	//We can link to the Saturn OR the Crawler.  Only the Saturn has full funcionality.  The Crawler can ONLY read the mission time.
	Saturn *saturn;
	Crawler *crawler;
	LEM *lem;
	int screen;

	bool bDisplayMET; // Coussini 
	std::string DisplayMissionElapsedTime (void); // Coussini

};

#endif // !__MtimerMFD_H